import { ConfigPreset } from './ConfigService';
declare type MongoParams = {
    target: string;
    reset: boolean;
    root: string;
};
export declare class MongoService {
    protected readonly params: MongoParams;
    constructor(params: MongoParams);
    run(): Promise<void>;
    initDb(presetData: ConfigPreset): Promise<void>;
}
export {};
