import { Command, flags } from '@oclif/command';
export default class Run extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        target: flags.IOptionFlag<string>;
        daemon: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        build: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
}
