declare type RunParams = {
    target: string;
    root: string;
    daemon?: boolean;
    build?: boolean;
};
export declare class RunService {
    protected readonly params: RunParams;
    constructor(params: RunParams);
    run(): Promise<void>;
    promisePoll: (promiseFunction: () => Promise<boolean>, totalPollingTime: number, pollIntervalMs: number) => Promise<boolean>;
    pollServiceUntilIsUp(totalPollingTime?: number, pollIntervalMs?: number): Promise<void>;
    stop(): Promise<void>;
    private basicRun;
}
export {};
